<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
	'slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);
$wp_customize->add_setting(
	'slider_section_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'slider_section_show_content',
		array(
			'settings'      => 'slider_section_show_content',
			'section'       => 'slider_section',
			'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'Luzuk' ),
				'off' => __( 'Yes', 'Luzuk' )
			),
		)
	)
);


$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'slider_section_lbl',
		array(
			'settings'		=> 'slider_section_lbl',
			'section'		=> 'slider_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'The page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Recommended Image Size: 1500X750', 'Luzuk' ),
		)
	)
);

lzCustomLable($wp_customize, 'main_sliderAnimation', 'slider_section', 'Slider Animation');

//BREADCRUMB SETTINGS
$wp_customize->add_section(
    'slider_animation_display',
    array(
        'title' => __( 'Slider Animation Settings', 'luzuk Premium' ),
        'panel' => 'luzuk_general_panel',
    )
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'slider_animation_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'slider_animation_display', array( 'label' => 'Animation Display', 'section' => 'slider_section', 'settings' => 'slider_animation_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 






lzCustomLable($wp_customize, 'main_slideropcity', 'slider_section', 'Slider Opacity');

$wp_customize->add_setting(
    'slider_Opacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.5', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'slider_Opacity',
    array(
        'settings'      => 'slider_Opacity',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'slider_olyClr', 'slider_section', 'Overlay Color', '#000');

lzCustomLable($wp_customize, 'luzuk_sliderotherclrs', 'slider_section', 'Slider Color');

addColorPalatOption($wp_customize, 'slider_imgcornClr', 'slider_section', 'Image Corner Color', '#2E8BE9');

addColorPalatOption($wp_customize, 'slider_CirbrdClr', 'slider_section', 'Image Border Color', '#fff');

addColorPalatOption($wp_customize, 'slider_titleClr', 'slider_section', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_hightitleClr', 'slider_section', 'Highlight Title Color', '#2E8BE9');

addColorPalatOption($wp_customize, 'slider_textClr', 'slider_section', 'Text Color', '#cecdcf');

addColorPalatOption($wp_customize, 'slider_btntxtClr', 'slider_section', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider_btntxthvClr', 'slider_section', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_btnbrdClr', 'slider_section', 'Button Border Color', '#2E8BE9');

addColorPalatOption($wp_customize, 'slider_btnbg1Clr', 'slider_section', 'Button BG Color 1', '#033A9E');

addColorPalatOption($wp_customize, 'slider_btnbg2Clr', 'slider_section', 'Button BG Color 2', '#2E8BE9');


lzCustomLable($wp_customize, 'luzuk_sliderbutnclrs', 'slider_section', 'Slider Arrow Button Color');

addColorPalatOption($wp_customize, 'sli_arowclr', 'slider_section', 'Arrow Color', '#fff');

addColorPalatOption($wp_customize, 'sli_arowbrdclr', 'slider_section', 'Arrow Border Color', '#fff');

addColorPalatOption($wp_customize, 'sli_arowhvclr', 'slider_section', 'Arrow Border Hover Color', '#000');